Jifty::Test::WWW::Selenium(3)

NAME
Jifty::Test::WWW::Selenium - Subclass of Test::WWW::Selenium with extra Jifty integration

SYNOPSIS
  use Jifty::Test::WWW::Selenium;
  my $server  = Jifty::Test->make_server;
  my $sel = Jifty::Test::WWW::Selenium->rc_ok( $server, lang => 'en_US.UTF-8' );
  my $URL = $server->started_ok;

  $sel->open_ok('/');

DESCRIPTION
Jifty::Test::WWW::Selenium creates a Test::WWW::Selenium object associated with your jifty application to test. In addition, it starts selenium remote control for you, unless "SELENIUM_RC_SERVER" is specified when the test is run. You might also want to set "SELENIUM_RC_TEST_AGAINST" to your local IP address so "SELENIUM_RC_SERVER" can test against you. "SELENIUM_RC_BROWSER" tells the rc server what browser to run the tests with.

  rc_ok
When the selenium rc server is started by Jifty::Test::WWW::Selenium, the browser's language is default to en_US, unless you pass "lang" param to rc_ok.